List Sessions
curl --request GET \
--url https://use.hoop.dev/api/sessionsimport requests
url = "https://use.hoop.dev/api/sessions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"ai_analysis": {
"action": "allow_execution",
"explanation": "The script contains queries that may expose sensitive data.",
"risk_level": "high",
"title": "Potential Data Leakage"
},
"connection": "pgdemo",
"connection_subtype": "postgres",
"connection_tags": {
"team": "banking;environment:prod"
},
"correlation_id": "task-12345",
"end_date": "2024-07-25T15:56:35.361101Z",
"event_size": 569,
"event_stream": [
123
],
"exit_code": 123,
"guardrails_info": [
{
"direction": "input",
"matched_words": [
"password",
"secret"
],
"rule": {
"pattern_regex": "^[A-Z0-9]+",
"type": "deny_words_list",
"words": [
"password",
"secret"
]
},
"rule_name": "block-sensitive-data"
}
],
"id": "1CBC8DB5-FBF8-4293-8E35-59A6EEA40207",
"identity_type": "user",
"integrations_metadata": {},
"labels": {},
"machine_identity_id": "BF997324-5A27-4778-806A-41EE83598494",
"metadata": {},
"metrics": {},
"org_id": "0CD7F941-2BB8-4F9F-93B0-11620D4652AB",
"resource_name": "my-resource",
"review": {
"access_duration": 0,
"access_request_rule_name": "default-access-request-rule",
"created_at": "2024-07-25T15:56:35.317601Z",
"force_approval_groups": [
"sre-team"
],
"id": "9F9745B4-C77B-4D52-84D3-E24F67E3623C",
"min_approvals": 2,
"rejection_reason": "This command is not allowed in production.",
"review_groups_data": [
{
"forced_review": false,
"group": "sre",
"id": "20A5AABE-C35D-4F04-A5A7-C856EE6C7703",
"review_date": "2024-07-25T19:36:41Z",
"reviewed_by": {
"email": "john.wick@bad.org",
"id": "D5BFA2DD-7A09-40AE-AFEB-C95787BA9E90",
"name": "John Wick",
"slack_id": "U053ELZHB53"
},
"status": "APPROVED"
}
],
"revoke_at": "",
"time_window": {
"configuration": {
"end_time": "18:00",
"start_time": "09:00"
},
"type": "time_range"
}
},
"role_name": "pgdemo",
"script": {
"data": "SELECT NOW()"
},
"script_size": 12,
"session_batch_id": "batch-abc-123",
"start_date": "2024-07-25T15:56:35.317601Z",
"type": "database",
"user": "<string>",
"user_id": "nJ1xV3ASWGTi7L8Y6zvnKqxNlnZM2TxV1bRdc0706vZ",
"user_name": "John Wick"
}
],
"has_next_page": true,
"total": 100
}{
"message": "the error description"
}Sessions
List Sessions
List session resources
GET
/
sessions
List Sessions
Query Parameters
Filter by user's subject id
Filter by connection's name
Filter by connection's type
Filter by the approver's email of a review
Filter by the review status
Filter by external workflow/task correlation id
Filter by Jira issue key
Filter starting on this date
Filter ending on this date
Limit the amount of records to return (max: 100)
Offset to paginate through resources
Was this page helpful?
⌘I